HCHECK(1)

NAME

hcheck - Cluster checker

SYNOPSIS

hcheck {backend options...} [algorithm options...] [reporting options...]

hcheck --version

Backend options:

{ -m cluster | -L[ path ] |-t*data-file* | -I path }

Algorithm options:

[ --no-simulation ] [ --max-cpu cpu-ratio ] [ --min-disk disk-ratio ] [ -l limit ] [ -e score ] [ -g delta ] [ --min-gain-limit threshold ] [ -O name... ] [ --no-disk-moves ] [ --no-instance-moves ] [ -U util-file ] [ --evac-mode ] [ --select-instances inst... ] [ --exclude-instances inst... ]

Reporting options:

[--machine-readable[=CHOICE] ] [ -p[ fields ] ] [ --print-instances ] [ -v... | -q ]

DESCRIPTION

hcheck is the cluster checker. It prints information about cluster's health and checks whether a rebalance done using hbal would help.

This information can be presented in both human-readable and machine-readable way.

Note that it does not take any action, only performs a rebalance simulation if necessary.

For more information about the algorithm details check hbal(1).

OPTIONS

--no-simulation
    Only perform checks based on current cluster state, without trying to simulate rebalancing.

For a detailed description about the options listed above have a look at htools(1), hspace(1) and hbal(1).

REPORTING BUGS

Report bugs to project website (http://code.google.com/p/ganeti/) or contact the developers using the Ganeti mailing list (ganeti@googlegroups.com).

SEE ALSO

Ganeti overview and specifications: ganeti(7) (general overview), ganeti-os-interface(7) (guest OS definitions), ganeti-extstorage-interface(7) (external storage providers).

Ganeti commands: gnt-cluster(8) (cluster-wide commands), gnt-job(8) (job-related commands), gnt-node(8) (node-related commands), gnt-instance(8) (instance commands), gnt-os(8) (guest OS commands), gnt-storage(8) (storage commands), gnt-group(8) (node group commands), gnt-backup(8) (instance import/export commands), gnt-debug(8) (debug commands).

Ganeti daemons: ganeti-watcher(8) (automatic instance restarter), ganeti-cleaner(8) (job queue cleaner), ganeti-noded(8) (node daemon), ganeti-masterd(8) (master daemon), ganeti-rapi(8) (remote API daemon).

Ganeti htools: htools(1) (generic binary), hbal(1) (cluster balancer), hspace(1) (capacity calculation), hail(1) (IAllocator plugin), hscan(1) (data gatherer from remote clusters), hinfo(1) (cluster information printer), mon-collector(7) (data collectors interface).

COPYRIGHT

Copyright (C) 2006, 2007, 2008, 2009, 2010, 2011, 2012 Google Inc. Permission is granted to copy, distribute and/or modify under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

On Debian systems, the complete text of the GNU General Public License can be found in /usr/share/common-licenses/GPL.